image: ruby:3.0.4

cache:
  paths:
    - vendor/ruby

before_script:
  - ruby -v  # Print out ruby version for debugging
  - bundle config set --local deployment true  # Install dependencies into ./vendor/ruby
  - bundle install -j $(nproc)

deploy:
  stage: deploy
  environment: production
  script:
    - gem install dpl
    - dpl --provider=heroku --app=$HEROKU_APP_NAME --api-key=$HEROKU_PRODUCTION_KEY
